cURL
curl -X POST "https://app.cotool.ai/api/output-destinations" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"string","url":"string","authType":"bearer","headerName":"string","token":"string","type":"webhook"}'import requests
url = "https://app.cotool.ai/api/output-destinations"
payload = {
"name": "<string>",
"url": "<string>",
"type": "webhook",
"headerName": "<string>",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
type: 'webhook',
headerName: '<string>',
token: '<string>'
})
};
fetch('https://app.cotool.ai/api/output-destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/output-destinations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"type\": \"webhook\",\n \"headerName\": \"<string>\",\n \"token\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/output-destinations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"type\": \"webhook\",\n \"headerName\": \"<string>\",\n \"token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"authType": "bearer",
"headerName": "<string>"
},
"token": "<string>",
"hasToken": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Output Destinations
Create output destination
Create a new output destination (webhook, Teams, Slack, PagerDuty, Linear, or Tines) for the organization.
POST
/
api
/
output-destinations
cURL
curl -X POST "https://app.cotool.ai/api/output-destinations" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"string","url":"string","authType":"bearer","headerName":"string","token":"string","type":"webhook"}'import requests
url = "https://app.cotool.ai/api/output-destinations"
payload = {
"name": "<string>",
"url": "<string>",
"type": "webhook",
"headerName": "<string>",
"token": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
url: '<string>',
type: 'webhook',
headerName: '<string>',
token: '<string>'
})
};
fetch('https://app.cotool.ai/api/output-destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/output-destinations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"type\": \"webhook\",\n \"headerName\": \"<string>\",\n \"token\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/output-destinations"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"url\": \"<string>\",\n \"type\": \"webhook\",\n \"headerName\": \"<string>\",\n \"token\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"authType": "bearer",
"headerName": "<string>"
},
"token": "<string>",
"hasToken": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Human-readable name for this destination
Required string length:
1 - 255The webhook URL to POST to
Type of authentication
Available options:
bearer, header Allowed value:
"webhook"Custom header name when authType is "header"
The authentication token
Response
Successful response
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Unique identifier for the destination
Organization that owns this destination
Human-readable name for this destination
Required string length:
1 - 255When the destination was created
When the destination was last updated
Allowed value:
"webhook"Show child attributes
Show child attributes
The authentication token (only returned to authorized users)
Whether a token is configured
Was this page helpful?
⌘I